PDA

View Full Version : The Perfect Setup - Debian Sarge (3.1) problems


bbking
9th March 2006, 03:06
hi!

first of all, let me thank for this howto!

second, I'd like to make some comments, regarding the installation with help of this howto.

apt-get install wget bzip2 rdate fetchmail libdb3++-dev unzip zip ncftp xlispstat libarchive-zip-perl zlib1g-dev libpopt-dev nmap openssl lynx fileutils

my first trouble started here...it states, that it cannot find libdb3++-dev and xlispstat....I just recently discovered, that there are 14(!!) sarge install cd images available and I only downloaded 4....now how could I add the rest of them as installation sources (I already downloaded the missing images....)?

then, when I issue the command
apt-get install postfix postfix-tls libsasl2 sasl2-bin libsasl2-modules ipopd-ssl uw-imapd-ssl

I get this:
Die folgenden Pakete haben nichterfllte Abh�gigkeiten:
exim4-base: H�gt ab: exim4-config (>= 4.30) soll aber nicht installiert werden oder
exim4-config-2
E: Kaputte Pakete

which means the dependencies could not be solves, and exim4-base depends on exim4-config, but it should not be installed, or exim4-config-2 and E: damaged packages (?).

so this is the place, where I am stuck, as I don't have a clue how to solve this. I am new to Debian, but have been using SuSE for ages....

as far, as I have figured it out, I need mysql (but it depends on exim4) and postgres (which again "forbids" the installation of exim4)....

can somebody give me a hint how to go on from here?

thanks in advance,
bbking

till
9th March 2006, 09:46
Your problem is that you have not chosen the network installation of the pacakes as suggested in the howto on this page:

http://www.howtoforge.com/perfect_setup_debian_sarge_p2

So not all packages where available.

bbking
9th March 2006, 10:25
oh, well, my fault...:(

can I change this somehow (e.g. editing the /etc/apt-sources file)? btw, while installation, the system did access the net, at least security.debian.org was contacted for each package.....

thanks & have a nice day,
bbking

falko
9th March 2006, 10:42
Put this into /etc/apt/sources.list:

deb http://ftp2.de.debian.org/debian/ stable main
deb-src http://ftp2.de.debian.org/debian/ stable main

deb http://security.debian.org/ stable/updates mainand run apt-get update

bbking
9th March 2006, 12:19
thanks a lot!

with inserting these extra sources, my exim4 problems disappeared, too! I finished the installation without problems....

one quick question: when I set

postconf -e 'smtpd_tls_auth_only = no'

to yes, then only secure authentication will work, right? no plain passwords are allowed, whereas setting it to "no", plain passwords will work?

I'm not sure about this, but I'd like to only have secure passwords....

thanks for the HOWTO one more time!

falko
9th March 2006, 22:52
one quick question: when I set

postconf -e 'smtpd_tls_auth_only = no'

to yes, then only secure authentication will work, right? no plain passwords are allowed, whereas setting it to "no", plain passwords will work?

I'm not sure about this, but I'd like to only have secure passwords....

thanks for the HOWTO one more time!
Plain text passwords will still work; TLS means that the connection is encrypted. It's like HTTPS for web sites.

peacengell
20th January 2008, 03:36
Reading package lists... Done
Building dependency tree... Done
Package libdb3++-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package libdb3++-dev has no installation candidate
server:~#
i did add and make apt-get update
and apt-get upgrade all seem woks fine but when i try to install lidbb3++-dev
and xlispstat
same error i have install vmware on vista and debian inside
i can brouse internet from command (shell) usind lynx
but i can't get these two software install help please i wanna learn how to install
and configure a debian server mainly linux server so i didn't install xwindows so help me please thanks
alot newbeeeeeeeeeeeee

peacengell
20th January 2008, 04:15
Get:1 http://security.debian.org stable/updates Release.gpg [189B]
Get:2 http://ftp2.de.debian.org stable Release.gpg [378B]
Hit http://security.debian.org stable/updates Release
Hit http://ftp2.de.debian.org stable Release
Ign http://security.debian.org stable/updates/main Packages/DiffIndex
Ign http://ftp2.de.debian.org stable/main Packages/DiffIndex
Hit http://security.debian.org stable/updates/main Packages
Ign http://ftp2.de.debian.org stable/main Sources/DiffIndex
Hit http://ftp2.de.debian.org stable/main Packages
Hit http://ftp2.de.debian.org stable/main Sources
Fetched 379B in 2s (139B/s)
Reading package lists... Done
server:~#
and also i get these when i make apt-get update
and here is my /etc/apt/sources.list file cat
server:/# cat /etc/apt/sources.list
deb http://ftp2.de.debian.org/debian/ stable main
deb-src http://ftp2.de.debian.org/debian/ stable main
deb http://security.debian.org/ stable/updates main
server:/#
and my /etc/resolv.conf
server:/# cat /etc/resolv.conf
nameserver 192.168.2.1
nameserver 62.231.32.10
nameserver 62.231.32.11
server:/#

why i get this problem
help me please i'm stuck here thanks you very much
thanks

falko
20th January 2008, 20:58
Are you using Etch or Sarge? If you use Sarge, please replace stable with sarge in /etc/apt/sources.list and run apt-get update